SystemIndexPhpTest::testIndexPhpHandling

7 system.test SystemIndexPhpTest::testIndexPhpHandling()
8 system.test SystemIndexPhpTest::testIndexPhpHandling()

Test index.php handling.

File

modules/system/system.test, line 2670
Tests for system.module.

Code

function testIndexPhpHandling() {
  $index_php = $GLOBALS['base_url'] . '/index.php';

  $this->drupalGet($index_php, array('external' => TRUE));
  $this->assertResponse(200, t('Make sure index.php returns a valid page.'));

  $this->drupalGet($index_php, array('external' => TRUE, 'query' => array('q' => 'user')));
  $this->assertResponse(200, t('Make sure index.php?q=user returns a valid page.'));

  $this->drupalGet($index_php . '/user', array('external' => TRUE));
  $this->assertResponse(404, t("Make sure index.php/user returns a 'page not found'."));
}
Login or register to post comments